module Main (main) where

import Lib
import System.Environment
import System.Exit

main :: IO ()
main = do 
        args <- getArgs
        case args of 
            [parSeq, chunkSize ,fileName] -> do
                putStrLn parSeq
                putStrLn $ show chunkSize
                case parSeq of
                    "par" -> do
                        polIncParChunk (read chunkSize :: Int) fileName
                    _ ->
                        polIncSerial fileName
            [parSeq, fileName] -> do
                putStrLn parSeq
                case parSeq of
                    "par" -> do
                        polIncPar fileName
                    _ ->
                        polIncSerial fileName
            _ -> do
                die "exit"            
